My favorites | Sign in
Project Home Downloads Wiki Issues Code Search
New issue   Search
for
  Advanced search   Search tips   Subscriptions
Issue 73422: Unable to install google chrome on Ubuntu 11.04: missing dependency on libcurl3
3 people starred this issue and may be notified of changes. Back to list
Status:  WontFix
Owner:  ----
Closed:  Mar 2011
Cc:  thestig@chromium.org

Restricted
  • Only users with EditIssue permission may comment.


Sign in to add a comment
 
Reported by Neo2TheG...@gmail.com, Feb 18, 2011
Chrome Version       : 9.0.597.98-r74359 (google-chrome-stable)

What steps will reproduce the problem?
1. Download the debian package(I downloaded 64bit)
2. Open with software center in Ubuntu(I tried in 11.04 Alpha 2)
3. Hit the install button.

What is the expected result?
Google Chrome should install successfully.

What happens instead?

Got the following error
"The installation of a package which violates the quality standards isn't allowed. This could cause serious problems on your computer. Please contact the person or organisation who provided this package file and include the details beneath."

Please provide any additional information below. Attach a screenshot if
possible.

Lintian check results for ~/google-chrome-stable_current_amd64.deb:
E: google-chrome-stable: no-copyright-file
Can't call method "data" on an undefined value at /usr/share/lintian/checks/deb-format line 63.
internal error: cannot run deb_format check on package google-chrome-stable
warning: skipping check of binary package google-chrome-stable


Feb 26, 2011
#1 2485...@gmail.com
(I've had some different details, but I haven't rebooted for a day.)

Details:

Lintian check results for /home/[private]/Downloads/google-chrome-stable_current_amd64.deb:
W: google-chrome-stable: extended-description-line-too-long
E: google-chrome-stable: file-in-etc-not-marked-as-conffile /etc/cron.daily/google-chrome
Can't call method "data" on an undefined value at /usr/share/lintian/checks/deb-format line 63.
internal error: cannot run deb_format check on package google-chrome-stable
warning: skipping check of binary package google-chrome-stable
internal error: copyright-file invoked in wrong directory
/bin/cp: cannot stat `unpacked/usr/share/menu': No such file or directory
internal error: cannot copy unpacked/usr/share/menu/ directory
internal error: ar-info invoked in wrong directory
internal error: init.d invoked in wrong directory
internal error: md5sums invoked in wrong directory
Feb 28, 2011
#2 DaleEMo...@gmail.com
Ubuntu Software Center
Google-chrome-stable The web browser from Google
Version 9.0.597.98-r74359 (google-chrome-stable)
The package is of bad quality
The installation of a package which violates the quality standards isn't allowed. This could cause serious problems on your computer. Please contact the person or organisation who provided this package file and include the details beneath.
Lintian check results for /home/dalem/Downloads/google-chrome-stable_current_i386.deb:
Can't call method "data" on an undefined value at /usr/share/lintian/checks/deb-format line 63.

internal error: cannot run deb_format check on package google-chrome-stable

warning: skipping check of binary package google-chrome-stable

root@JenOvo:/home/dalem/Downloads# ll
total 52296
drwxr-xr-x  2 dalem dalem     4096 2011-02-28 09:30 ./
drwxr-xr-x 24 dalem dalem     4096 2011-02-28 09:27 ../
-rw-r--r--  1 dalem dalem 26769040 2011-02-25 17:04 google-chrome-stable_current_i386.deb

root@JenOvo:/home/dalem# cat /etc/issue
Ubuntu natty (development branch) \n \l

That's Ubuntu 11.04a2.

Please let me know if there's any other information I can gather for you.
Mar 9, 2011
#4 pmel...@gmail.com
This happened to me with chrome 10 in Ubuntu 11.04 alpha. To solve it simply do this:

$ sudo dpkg -i google-chrome-stable_current_i386.deb

you will that there is a package that needs to be installed: libcurl3 (in my case)

$ sudo apt-get install libcurl3

or whatever package you need.

To finish:

$ sudo dpkg -i google-chrome-stable_current_i386.deb

Regards
Mar 10, 2011
#5 Neo2TheG...@gmail.com
One can't expect every user to use the terminal right? Just a thought.
Mar 10, 2011
#6 mdm@chromium.org
(No comment was entered for this change.)
Summary: Unable to install google chrome on Ubuntu 11.04: missing dependency on libcurl3
Status: Available
Cc: thes...@chromium.org
Labels: -Area-Undefined Area-Internals Mstone-10 OS-Linux
Mar 10, 2011
#7 thestig@chromium.org
We already depend on libcurl3, but dpkg doesn't result dependencies.
Labels: Internals-Install
Mar 10, 2011
#8 thestig@chromium.org
So the software-center bug is upstream, and we already require libcurl3... that's all right? Closing.
Status: WontFix
Oct 12, 2012
#9 bugdro...@chromium.org
This issue has been closed for some time. No one will pay attention to new comments.
If you are seeing this bug or have new data, please click New Issue to start a new bug.
Labels: Restrict-AddIssueComment-Commit
Mar 10, 2013
#10 bugdro...@chromium.org
(No comment was entered for this change.)
Labels: -Area-Internals -Mstone-10 -Internals-Install Cr-Internals Cr-Internals-Install M-10
Mar 13, 2013
#11 bugdro...@chromium.org
(No comment was entered for this change.)
Labels: -Restrict-AddIssueComment-Commit Restrict-AddIssueComment-EditIssue
Apr 5, 2013
#12 bugdro...@chromium.org
(No comment was entered for this change.)
Labels: -Cr-Internals-Install Cr-Internals-Installer
Sign in to add a comment

Powered by Google Project Hosting